/**
  PROGRESS INDICATOR
*/
.progress-center {
  position: fixed;
  z-index: 88888;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: transparent;
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
}

.progress-container {
  width: 60px;
  height: 60px;
  margin: 0 auto;
  display: none;
  align-items: center;
  position: relative;
  z-index: 8888;
}
.progress-container:after {
  left: 4px;
  top: 4px;
  content: "";
  position: absolute;
  width: 52px;
  height: 52px;
  border-radius: 100%;
  z-index: -1;
  border: solid 4px #808080;
}

.progress-container.enabled {
  display: flex;
}

.progress-circular {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  box-sizing: border-box;
  border: none;
  border-radius: 50%;
  padding: 0.25em;
  width: 60px;
  height: 60px;
  /* color: rgb(var(--pure-material-primary-rgb, 29, 185, 84)); */
  color: var(--primary-blue);
  background-color: transparent;
  font-size: 16px;
  overflow: hidden;
  display: none;
}

.progress-circular.enabled {
  display: block;
}

.progress-circular::-webkit-progress-bar {
  background-color: transparent;
}

/* Indeterminate */
.progress-circular:indeterminate {
  -webkit-mask-image: linear-gradient(transparent 50%, black 50%), linear-gradient(to right, transparent 50%, black 50%);
  mask-image: linear-gradient(transparent 50%, black 50%), linear-gradient(to right, transparent 50%, black 50%);
  animation: pure-material-progress-circular 6s infinite cubic-bezier(0.3, 0.6, 1, 1);
}

:-ms-lang(x), .progress-circular:indeterminate {
  animation: none;
}

.progress-circular:indeterminate::before,
.progress-circular:indeterminate::-webkit-progress-value {
  content: "";
  display: block;
  box-sizing: border-box;
  margin-bottom: 0.25em;
  border: solid 0.25em transparent;
  border-top-color: var(--primary-blue);
  border-radius: 50%;
  width: 100% !important;
  height: 100%;
  background-color: transparent;
  animation: pure-material-progress-circular-pseudo 0.75s infinite linear alternate;
}

.progress-circular:indeterminate::-moz-progress-bar {
  box-sizing: border-box;
  border: solid 0.25em transparent;
  border-top-color: var(--primary-blue);
  border-radius: 50%;
  width: 100% !important;
  height: 100%;
  background-color: transparent;
  animation: pure-material-progress-circular-pseudo 0.75s infinite linear alternate;
}

.progress-circular:indeterminate::-ms-fill {
  animation-name: -ms-ring;
}

@keyframes pure-material-progress-circular {
  0% {
    transform: rotate(0deg);
  }
  12.5% {
    transform: rotate(180deg);
    animation-timing-function: linear;
  }
  25% {
    transform: rotate(630deg);
  }
  37.5% {
    transform: rotate(810deg);
    animation-timing-function: linear;
  }
  50% {
    transform: rotate(1260deg);
  }
  62.5% {
    transform: rotate(1440deg);
    animation-timing-function: linear;
  }
  75% {
    transform: rotate(1890deg);
  }
  87.5% {
    transform: rotate(2070deg);
    animation-timing-function: linear;
  }
  100% {
    transform: rotate(2520deg);
  }
}
@keyframes pure-material-progress-circular-pseudo {
  0% {
    transform: rotate(-30deg);
  }
  29.4% {
    border-left-color: transparent;
  }
  29.41% {
    border-left-color: var(--primary-blue);
  }
  64.7% {
    border-bottom-color: transparent;
  }
  64.71% {
    border-bottom-color: var(--primary-blue);
  }
  100% {
    border-left-color: var(--primary-blue);
    border-bottom-color: var(--primary-blue);
    transform: rotate(225deg);
  }
}
.main-header-component {
  height: 56px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 16px;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: var(--primary-white);
  z-index: 99;
  box-shadow: 0px 1px 4px 0px var(--primary-shadow-black);
}
.main-header-component .main-header-action {
  display: flex;
  -moz-column-gap: 8px;
       column-gap: 8px;
}
.main-header-component .main-header-action span {
  display: flex;
  height: 30px;
  width: 30px;
  justify-content: center;
  align-items: center;
}
.main-header-component .main-header-action span.notification-icon-container {
  align-items: end;
  position: relative;
}
.main-header-component .main-header-action span.notification-icon-container .count-notification {
  position: absolute;
  top: 0;
  right: 0;
  width: 18px;
  height: 18px;
  font-family: "Roboto", sans-serif;
  font-size: 10px;
  font-weight: 600;
  line-height: 12px;
  border-radius: 50%;
  background: var(--primary-red);
  text-align: center;
  color: var(--primary-white);
}

.container-slider {
  width: 100%;
  position: relative;
  margin-bottom: 0 !important;
}
.container-slider .slick-slide {
  position: relative;
}
.container-slider .slick-slide:after {
  position: absolute;
  z-index: 1;
  content: "";
  background: rgba(0, 0, 0, 0.2);
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}
.container-slider img {
  width: 100%;
}
.container-slider .slick-dots {
  position: absolute;
  z-index: 8;
  left: 50%;
  bottom: 15px;
  transform: translateX(-50%);
  display: flex;
  flex-flow: row nowrap;
  width: 100px;
  height: 2px;
  background: rgba(255, 255, 255, 0.5);
}
.container-slider .slick-dots li {
  flex: 1;
  list-style: none;
  height: auto;
}
.container-slider .slick-dots li.slick-active {
  background: white;
}
.container-slider .slick-dots button {
  display: none;
}
.container-slider button::before {
  content: "";
}
.container-slider button.slick-arrow {
  z-index: 8;
  position: absolute;
  background: none;
  border: none;
  top: 50%;
  font-size: 0;
  width: 24px;
  height: 24px;
  transform: translateY(-50%);
}
.container-slider button.slick-prev {
  background-image: url("../images/arrow-right.png");
  background-size: 24px;
  background-repeat: no-repeat;
  left: 16px;
  transform: translateY(-50%) scaleX(-1);
}
.container-slider button.slick-next {
  background-image: url("../images/arrow-right.png");
  background-size: 24px;
  background-repeat: no-repeat;
  right: 16px;
}

:root {
  --primary-blue: #2040AF;
  --secondary-blue: #2C5EF8;
  --primary-red: #EC4960;
  --primary-white: #FFFFFF;
  --primary-black: #1A1A1A;
  --secondary-black: #333333;
  --primary-gray: #CCCCCC;
  --primary-background-gray: #F2F2F2;
  --primary-shadow-black: #00000026;
  --primary-border-gray: #E6E6E6;
  --primary-warning-red: #FB4C4C;
  --black-k-50: #808080;
  --primary-background-overlay: #00000080;
}

*, *::before, *::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html, body {
  font-family: "Noto Sans KR", sans-serif;
  line-height: 100%;
  color: var(--primary-black);
  font-weight: 400;
}

p, h1, h2, h3, h4, h5, h6 {
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
  color: var(--primary-black);
}

button, input {
  border: none;
  outline: none;
  background: transparent;
}
button:active, input:active {
  border: none;
  outline: none;
  background: transparent;
}
button:focus, input:focus {
  border: none;
  outline: none;
  background: transparent;
}